/*******************************************************************************
 *  Copyright 2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.enums.cm;

/**
 * This enum represents Code Meaning for Breed Registry
 */
public enum EnumCM_BreedRegistry 
{
	//CID 7481 Breed Registry
	AMERICA_KENNEL_CLUB("America Kennel Club"),
	AMERICAS_PET_REGISTRY_INC_("America's Pet Registry Inc."),
	AMERICAN_CANINE_ASSOCIATION("American Canine Association"),
	AMERICAN_PUREBRED_REGISTRY("American Purebred Registry"),
	AMERICAN_RARE_BREED_ASSOCIATION("American Rare Breed Association"),
	ANIMAL_REGISTRY_UNLIMITED("Animal Registry Unlimited"),
	ANIMAL_RESEARCH_FOUNDATION("Animal Research Foundation"),
	CANADIAN_BORDER_COLLIE_ASSOCIATION("Canadian Border Collie Association"),
	CANADIAN_KENNEL_CLUB("Canadian Kennel Club"),
	CANADIAN_LIVESTOCK_RECORDS_ASSOCIATION("Canadian Livestock Records Association"),
	CANINE_FEDERATION_OF_CANADA("Canine Federation of Canada"),
	CONTINENTAL_KENNEL_CLUB("Continental Kennel Club"),
	DOG_REGISTRY_OF_AMERICA("Dog Registry of America"),
	FEDERATION_OF_INTERNATIONAL_CANINES("Federation of International Canines"),
	INTERNATIONAL_PROGRESSIVE_DOG_BREEDERS_ALLIANCE("International Progressive Dog Breeders' Alliance"),
	NATIONAL_KENNEL_CLUB("National Kennel Club"),
	NORTH_AMERICAN_PUREBRED_DOG_REGISTRY("North American Purebred Dog Registry"),
	UNITED_ALL_BREED_REGISTRY("United All Breed Registry"),
	UNITED_KENNEL_CLUB("United Kennel Club"),
	UNIVERSAL_KENNEL_CLUB_INTERNATIONAL("Universal Kennel Club International"),
	WORKING_CANINE_ASSOCIATION_OF_CANADA("Working Canine Association of Canada"),
	WORLD_KENNEL_CLUB("World Kennel Club"),
	WORLD_WIDE_KENNEL_CLUB("World Wide Kennel Club");
	

	private String value;
	
	EnumCM_BreedRegistry(String strvalue)
	{
		this.value = strvalue;
	}
	
	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Meaning.
	 */
	public String getValue()
	{
		return value;
	}
}
